<?php

class imageWorks {
	var $filter = array();
	
	function imageWorks() {
		
		$this->loadConfig();
	}
	
	function loadConfig() {
		$imageWorksFilter = array();
		
		require_once("config.php");
		
		$this->filter = $imageWorksFilter;
	}
	
/*

$imageWorksFilter['small'] = array(
	'max-width' => 150,
	'max-height' => 150,
	'quality' => 75,
	'top-left-corner' => '',
	'top-right-corner' => '',
	'bottom-left-corner' => '',
	'bottom-right-corner' => ''
);

*/
	function convert($imgTagString) {
		require_once(dirname(dirname(__FILE__)) . "/class.sillyTag.php");		
		
		/*
		
		function windowOpener() {
   msgWindow=window.open("","displayWindow","menubar=yes")
   msgWindow.document.write
      ("<HEAD><TITLE>Message window</TITLE></HEAD>")
   msgWindow.document.write
      ("<CENTER><BIG><B>Hello, world!</B></BIG></CENTER>")
}
		*/

		$img = &new sillyTag($imgTagString);
		
		$filter = $img->getAttribute("filter");
		$img->deleteAttribute("filter");
		
		if ($img->getAttribute("class") == "") $img->setAttribute("class", $filter);
		
		if (!isset($this->filter[$filter])) return $img->parse();
		
		$filterSettings = $this->filter[$filter];

		if (substr($img->getAttribute("src"), 0, strlen(imageWorks_uri)) == imageWorks_uri) {
			$orgFilename = substr($img->getAttribute("src"), strlen(imageWorks_uri));
			$orgPath = imageWorks_path . $orgFilename;			
		} else {
			// outside of the upload Path...
			
			if (!preg_match("/^http:\\/\\//", $img->getAttribute("src"))) {
				return $img->parse();
			} else {
				// try to download the file...
				
				if(!preg_match("/\\/([^\\/?]+)(\\?|\$)/", $img->getAttribute("src"), $res)) {
					return $img->parse();
				}
				
				$orgFilename = preg_replace("/[^A-Za-z0-9_\\.]/", "_", $res[1]);
				$orgPath = imageWorks_path . $orgFilename;
				
				if (!copy($img->getAttribute("src"), $orgPath)) return $img->parse();
			}
		}
		
		$filteredFilename = preg_replace("/\\.([^\\.]+)\$/", "_\\1", $orgFilename) . "-" . $filter . ".jpg";
		$filteredPath = imageWorks_path . $filteredFilename;
		
		if(@$filterSettings['corner-png'] == '') {
			require_once("class.imageWorks_imageWorks.php");
			
			$imageWorks = &new imageWorks_imageWorks();
		} else {
			require_once("class.imageWorks_imageWithCorners.php");
			
			$imageWorks = &new imageWorks_imageWithCorners();
			
			$imageWorks->cornerImg(wp_homepath . $filterSettings['corner-png']);
			//var_dump(wp_homepath . $filterSettings['corner-png']); die();
		}
		
		$imageWorks->srcFile($orgPath);
		$imageWorks->destFile($filteredPath);
		$imageWorks->quality(@$filterSettings['quality'] ? $filterSettings['quality'] + 0 : 75);
		$imageWorks->maxWidth($filterSettings['max-width'] + 0);
		$imageWorks->maxHeight($filterSettings['max-height'] + 0);
		
		$imageWorks->render();
		
		$img->setAttribute("src", imageWorks_uri . $filteredFilename);
		$img->setAttribute("width", $imageWorks->getWidth());
		$img->setAttribute("height", $imageWorks->getHeight());
		
		if($img->getAttribute("popup") != '') {
			$filter = $img->getAttribute("popup");
			$img->deleteAttribute("popup");
			
			$filterSettings = $this->filter[$filter];
			
			$filteredFilename = preg_replace("/\\.([^\\.]+)\$/", "_\\1", $orgFilename) . "-" . $filter . ".jpg";
			$filteredPath = imageWorks_path . $filteredFilename;
			$imageWorks->destFile($filteredPath);
			$imageWorks->quality(@$filterSettings['quality'] ? $filterSettings['quality'] + 0 : 75);
			$imageWorks->maxWidth($filterSettings['max-width'] + 0);
			$imageWorks->maxHeight($filterSettings['max-height'] + 0);
			
			$imageWorks->render();
			
			// javascript:void(msgWindow=window.open('http://myti.local/wp151/wp-content/dogtown_jpg-small-left.jpg','displayWindow','menubar=yes'));
			
			$options = 'innerWidth=' . $imageWorks->getWidth() . ',width=' . $imageWorks->getWidth() . ',innerHeight=' . $imageWorks->getHeight() . ',height=' . $imageWorks->getHeight() . ',menubar=yes,status=no,toolbar=no,scrollbars=no,resiable=yes,location=no';
			
			return "<a href=\"javascript:void(msgWindow=window.open('" . imageWorks_uri . $filteredFilename . "','displayWindow','$options'))\">" . $img->parse() . '</a>';
		}
		
		return $img->parse();
	}
	
}