<?

class imageWorks_imageInfo {
	var $file = "";
	var $width = 0;
	var $height = 0;
	
	function imageWorks_imageInfo($file) {
		$this->file = $file;
		
		$this->getInfo();
	}
	
	function getInfo() {
		$cmd = ri2imageworks_imageMagic_path . "identify -verbose \"" . $this->file . "\"";
		$out = `$cmd`;
		
		$a = split("\n", $out);
		
		$width = 0;
		$height = 0;
		
		foreach($a as $row) {
		
			// Geometry
			if (preg_match("/^  Geometry: ([0-9]+)x([0-9]+)\$/", $row, $res)) {
				if ($width < $res[1] + 0) {
					$width = $res[1] + 0;
				}

				if ($height < $res[2] + 0) {
					$height = $res[2] + 0;
				}
			}
		}
		
		$this->width = $width;
		$this->height = $height;
	}
}

?>