<?php get_header(); ?>

	<div id="content" class="narrowcolumn">
				
  <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
	
		<div class="navigation">
			<div class="alignleft"><?php previous_post_link('&laquo; %link') ?></div>
			<div class="alignright"><?php next_post_link('%link &raquo;') ?></div>
		</div>
	
		<div class="post" id="post-<?php the_ID(); ?>">
			<h2><a href="<?php echo get_permalink() ?>" rel="bookmark" title="Permanent Link: <?php the_title(); ?>"><?php the_title(); ?></a></h2>
	
			<div class="entrytext">

				<?php the_content('<p class="serif">Read the rest of this entry &raquo;</p>'); ?>
				
				<?php link_pages('<p><strong>Pages:</strong> ', '</p>', 'number'); ?>
	
				<p class="postmetadata alt">
					<small>
						Erstellt von <?php the_author() ?>
						<?php /* This is commented, because it requires a little adjusting sometimes.
							You'll need to download this plugin, and follow the instructions:
							http://binarybonsai.com/archives/2004/08/17/time-since-plugin/ */
							/* $entry_datetime = abs(strtotime($post->post_date) - (60*120)); echo time_since($entry_datetime); echo ' ago'; */ ?> 
						am <?php echo date('d.m.Y', (strtotime($post->post_date))); ?> um <?php the_time() ?>.
						Archiviert in <?php the_category(', ') ?>.
						RSS f&uuml;r diese Kommentare: <?php comments_rss_link('RSS 2.0'); ?>. 
						
						<?php if (('open' == $post-> comment_status) && ('open' == $post->ping_status)) {
							// Both Comments and Pings are open ?>
							<a href="#respond">Kommentieren</a>. <a href="<?php trackback_url(true); ?>" rel="trackback">Trackback</a>.
						
						<?php } elseif (!('open' == $post-> comment_status) && ('open' == $post->ping_status)) {
							// Only Pings are Open ?>
							Kommentare geschlossen. <a href="<?php trackback_url(true); ?> " rel="trackback">Trackback</a>.
						
						<?php } elseif (('open' == $post-> comment_status) && !('open' == $post->ping_status)) {
							// Comments are open, Pings are not ?>
							You can skip to the end and leave a response. Pinging is currently not allowed.
			
						<?php } elseif (!('open' == $post-> comment_status) && !('open' == $post->ping_status)) {
							// Neither Comments, nor Pings are open ?>
							Both comments and pings are currently closed.			
						
						<?php } edit_post_link('Edit.','',''); ?>
						
					</small>
				</p>
	
			</div>
		</div>
		
		<?php if(@$jas_place_below_article == true) { ?>
		<div class="mainpagead">
		<script type="text/javascript"><!--
		google_ad_client = "pub-9171509399093974";
		google_ad_width = 468;
		google_ad_height = 60;
		google_ad_format = "468x60_as";
		google_ad_type = "text";
		google_ad_channel ="";
		google_color_border = "DBD8C7";
		google_color_bg = "FFFFFF";
		google_color_link = "265479";
		google_color_url = "DBD8C7";
		google_color_text = "333333";
		//--></script>
		<script type="text/javascript"
		src="http://pagead2.googlesyndication.com/pagead/show_ads.js">
		</script>
		</div>
		<?php } ?>
		
	<?php noble_comments_template('/comments-noble.php'); ?>


	<?php comments_template(); ?>
	
	<?php endwhile; else: ?>
	
		<p>Sorry. Man findet hier vieles, aber nicht alles.</p>
	
<?php endif; ?>
	
	</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>
