<?php
/*
Plugin Name: spreeblick head links
Plugin URI: http://wordpress.org/#
Description: links like in spreeblicks head
Author: Max Winde
Version: 1.0
Author URI: http://www.projekt-brot.de/
*/


//$arcresults = $wpdb->get_results("SELECT DISTINCT YEAR(post_date) AS `year`, MONTH(post_date) AS `month`, DAYOFMONTH(post_date) AS `dayofmonth` FROM $wpdb->posts WHERE post_date < '$now' AND post_status = 'publish' ORDER BY post_date DESC" . $limit);

function spreeblickHeadLinks($limit = 5, $maxStrLength = 1000, $category = -1, $elipse = '..', $divider = ' | ') {
	$limit = ($limit + 0 == 0 ? 5 : $limit);
	$maxStrLength = ($maxStrLength + 0 == 0 ? 1000 : $maxStrLength);
	$category = ($category + 0 <= 0 ? -1 : $category);
	
	global $wpdb;
	/* @var $wpdb WPDB */
	
	if ($category == -1) {
		$res = $wpdb->get_results("SELECT * FROM $wpdb->posts WHERE post_date < '" . current_time('mysql') . "' AND post_status = 'publish' ORDER BY post_date DESC LIMIT 0, $limit");
	} else {
		$res = $wpdb->get_results("SELECT p.* FROM $wpdb->post2cat AS c, $wpdb->posts AS p WHERE c.category_id = $category AND c.post_id = p.ID AND post_date < '" . current_time('mysql') . "' AND post_status = 'publish' ORDER BY post_date DESC LIMIT 0, $limit");	
	}
	
	$htmlCode = "";
	
	for($i = 0; $i < count($res); $i++) {
		$r = &$res[$i];
		
		//var_dump($r);
		
		//var_dump($r->post_title);
		
		$headline = $r->post_title;
		$fullHeadline = $headline;
		
		$needsElipse = false;
		if (strlen($headline) > $maxStrLength) {
			$headline = substr($headline, 0, $maxStrLength - 2);
			$needsElipse = true;
		}
			
		
		if ($htmlCode != '') $htmlCode .= $divider;
		$htmlCode .= '<a href="' . get_permalink($r) . '" title="' . wp_specialchars($fullHeadline, 1) . '">' . wptexturize($headline) . ($needsElipse ? $elipse : '') . '</a>';
		
		//$htmlCode .= get_archives_link($r->guid, $headline);	
	}
	
	return $htmlCode;
}

/*

 [0]=>
  object(stdClass)(23) {
    ["ID"]=>
    string(3) "971"
    ["post_author"]=>
    string(1) "7"
    ["post_date"]=>
    string(19) "2005-06-10 17:12:55"
    ["post_date_gmt"]=>
    string(19) "2005-06-10 15:12:55"
    ["post_content"]=>
    string(231) "<img src="http://myti.local/wp151/wp-content/title_small_gif-big.jpg" class="big" width="420" height="137" />
<img src="http://myti.local/wp151/wp-content/lastexit_jpg-small-left.jpg" class="small-left" width="230" height="153" />"
    ["post_title"]=>
    string(13) "Noch einer..."
    ["post_category"]=>
    string(1) "0"
    ["post_excerpt"]=>
    string(0) ""
    ["post_lat"]=>
    NULL
    ["post_lon"]=>
    NULL
    ["post_status"]=>
    string(7) "publish"
    ["comment_status"]=>
    string(4) "open"
    ["ping_status"]=>
    string(4) "open"
    ["post_password"]=>
    string(0) ""
    ["post_name"]=>
    string(12) "noch-einer-2"
    ["to_ping"]=>
    string(0) ""
    ["pinged"]=>
    string(0) ""
    ["post_modified"]=>
    string(19) "2005-06-10 17:51:04"
    ["post_modified_gmt"]=>
    string(19) "2005-06-10 15:51:04"
    ["post_content_filtered"]=>
    string(0) ""
    ["post_parent"]=>
    string(1) "0"
    ["guid"]=>
    string(48) "http://myti.local/wp151/2005/06/10/noch-einer-2/"
    ["menu_order"]=>
    string(1) "0"
  }

 */

?>